SystemOrganization addCategory: #'Mason-Cwp'!

MDProduct subclass: #MDMc2Product
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

MDMc2Product subclass: #MDMc2DevProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDMc2DevProduct methodsFor: 'paths' stamp: 'cwp 7/12/2009 05:08'!
mc2ReleasePath
	^ FSPath root
		/ 'Users'
		/ 'colin'
		/ 'Projects'
		/ 'Monticello2'
		/ 'releases'
		/ 'Monticello-2.0.31'! !

!MDMc2DevProduct methodsFor: 'specifying' stamp: 'cwp 9/21/2009 23:14'!
specifyOn: targets 
	targets directory
		path: 'development';
		with: 
			[ targets image
				name: 'ide';
				baseImage: self baseImagePath;
				with: 
					[targets script path: self scriptsPath / 'remove-mc1.st'.
					targets script path: self scriptsPath / 'base-image-cleanup-3.10.cs'.
					targets specify: self latestObExternal.
					targets specify: self latestObRelease.
					targets script path: self mc2ReleasePath / '1-Monticello2.st']]! !

MDMc2Product subclass: #MDMc2DistProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDMc2DistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 7/12/2009 05:20'!
devPath
	^ FSPath root
		/ 'Users'
		/ 'colin'
		/ 'Projects'
		/ 'Monticello2'
		! !

!MDMc2DistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 7/13/2009 18:32'!
specifyOn: targets
	targets directory path: self versionString; with:
		[targets file
			path: self devPath / 'mc.mcr';
			jobClass: MDCopyFileJob.
		targets directory path: 'extras'; with: 
			[targets file
				path: self scriptsPath / 'remove-mc1.st';
				jobClass: MDCopyFileJob.
			targets file
				path: self scriptsPath / 'remove-mc2.st';
				jobClass: MDCopyFileJob].
		targets directory path: 'docs'; with:
			[targets files
				directoryPath: self devPath / 'docs';
				pattern: '*.creole';
				jobClass: MDRenderCreoleJob.
			targets file
				path: self devPath / 'docs' / 'docs.css';
				jobClass: MDCopyFileJob.
			targets directory path: 'images'; with:
				[targets files
					directoryPath: self devPath / 'docs' / 'images';
					pattern: '*.png';
					jobClass: MDCopyFileJob]]]! !

!MDMc2DistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 7/13/2009 18:29'!
versionString
	^ 'Monticello-2.0.30'! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 9/28/2009 10:28'!
baseImagePath
	^ self libraryPath 
		/ 'base' 
		/ 'Squeak3.10.2-Trunk-090912' 
		/ 'Squeak3.10.2-trunk.image'! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 9/28/2009 10:30'!
libraryPath
	^ FSDiskFilesystem root / 'Users' / 'colin' / 'Library' / 'Squeak'! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 9/28/2009 10:30'!
repositoryPath
	^ self libraryPath / 'package-cache'! !

!MDMc2Product methodsFor: 'paths' stamp: 'cwp 9/28/2009 10:30'!
scriptsPath
	^ self libraryPath / 'scripts'! !
